Package org.apache.solr.client.solrj.request

# Class CoreAdminRequest.ListSnapshots

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
org.apache.solr.client.solrj.request.CoreAdminRequest
org.apache.solr.client.solrj.request.CoreAdminRequest.ListSnapshots

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CoreAdminRequest`

public static class CoreAdminRequest.ListSnapshots extends CoreAdminRequest

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`ListSnapshots()`

## Method Summary

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getCoreStatus, getCoreStatus, getParams, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, swapCore, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListSnapshots

public ListSnapshots()